Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04604 Graphics Minor Have not tried Jan 15, 2012, 22:58 Feb 11, 2012, 19:31
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved   Driver
Version 0.144u6 Fixed in Version 0.144u7 Build Normal
Summary 04604: All sets using .LAY files: Misplaced, misaligned or malformed graphic overlays and text
Description In most sets using color overlays, having buttons with text, shifters and other instances of internal LAY file usage, there are errors appearing
Steps To Reproduce
Additional Information Posted snaps of some examples
Flags
Regression Version 0.144u6
Affected Sets / Systems All sets using .LAY files
Attached Files
png file icon stactics.png (4,780 bytes)  Jan 15, 2012, 22:58 by Tafoid
Tafoid
png file icon armora.png (11,120 bytes)  Jan 15, 2012, 22:59 by Tafoid
Tafoid
png file icon cfever40.png (23,525 bytes)  Jan 15, 2012, 22:59 by Tafoid
Tafoid
png file icon buggyboyjr.png (3,288 bytes)  Jan 15, 2012, 23:00 by Tafoid
Tafoid
png file icon geebee_144u3_vs_144u7.png (194,097 bytes)  Feb 11, 2012, 18:07 by hap
hap


-  Notes
User avatar
No.08034
hap
(Developer)
Jan 15, 2012, 23:24
Since it regressed before r15019, it has to be at r15011
User avatar
No.08038
M.A.S.H.
(Senior Tester)
Jan 16, 2012, 18:53
edited on: Jan 16, 2012, 18:55
Aaron has fixed the rendering issues with artwork (r15051). I updated
MAME to r15051, but now the shifter lay gfx in games like 280zzzap or
lagunar are corrupt.

User avatar
No.08058
Tafoid
(Administrator)
Jan 20, 2012, 17:50
This is supposedly fixed for u7, but there are still subtile differences which may or may not be a bug. More to come..
User avatar
No.08060
M.A.S.H.
(Senior Tester)
Jan 20, 2012, 18:55
Updated to r15091. The only new problem i found by testing the old 70/80s games is that the background gfx in progolf is broken.
User avatar
No.08061
Tafoid
(Administrator)
Jan 20, 2012, 19:08
Reporting issues (even in notes) using sources not publicly released in U/integer release form is not allowed on site. While this policy may change in the future, for now please do not mention bugs which may happen from SVN/GIT updates between published releases here. You can contact me privately through a number of means if something appears to regress, so it can be fixed before the next source release.

Thank you
User avatar
No.08062
M.A.S.H.
(Senior Tester)
Jan 20, 2012, 19:47
edited on: Jan 20, 2012, 19:49
I made not a report, i just comment your u7 note. BTW this report can be closed. Aaron has do his job!

User avatar
No.08098
hap
(Developer)
Jan 28, 2012, 15:27
edited on: Jan 28, 2012, 15:34
It's improved a lot, but there is still an off-by-1 problem, affecting all .lay files.
Compare the geebee images in a viewer to see it.

User avatar
No.08184
hap
(Developer)
Feb 11, 2012, 19:31
Closing.
the one-off error was actually caused by a proper fix